Bug 57272 - [PATCH]: Deadlock on corrupted PPT file
Summary: [PATCH]: Deadlock on corrupted PPT file
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.11-dev
Hardware: PC All
: P2 major (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 13:06 UTC by thaichat04
Modified: 2014-12-07 14:36 UTC (History)
0 users



Attachments
patch to fixing deadlock (16.03 KB, application/gzip)
2014-11-27 13:06 UTC, thaichat04
Details
Corrupted PPT file causing deadlock (70.50 KB, application/vnd.ms-powerpoint)
2014-11-27 13:07 UTC, thaichat04
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thaichat04 2014-11-27 13:06:25 UTC
Created attachment 32232 [details]
patch to fixing deadlock

On given file, POI HSLF loops infinitely on HSLFSlideShow. Patch provided.
Comment 1 thaichat04 2014-11-27 13:07:07 UTC
Created attachment 32233 [details]
Corrupted PPT file causing deadlock
Comment 2 Andreas Beeker 2014-12-06 16:59:21 UTC
The patch.tar.gz doesn't contain a patched class, i.e. there's no patch in the patch.txt  nor in one of the subdirs.

Please check and attach it again.

Btw. Libre Office empties all slides and PPT-Viewer doesn't show it at all.
Comment 3 Andreas Beeker 2014-12-07 14:36:13 UTC
Thank you for reporting the deadlock.
I've applied a patch with r1643680